/****************************************************************************
 *
 *	File		: arpdata.h
 *
 *	Title		: ARP Protocol Data Engine
 *
 *	Author		: Andrae Muys
 *
 *	Revisions	: 2nd Nov 1999  AWM - Initial release.
 *
 ****************************************************************************/



#include <sys/types.h>
#include <net/if_arp.h>
#include <gtk/gtk.h>

#include "snif.h"

#ifndef ARPDATA_H
#define ARPDATA_H

typedef struct arpData_ arpData;
typedef struct ARPTable_ ARPTable;
typedef struct arpIP_ arpIP;

struct ARPTable_ {
	GHashTable *table;
	GMemChunk *chunk;
	GMemChunk *ip;
};

struct arpData_ {
	ARPTable *table;
	u_int8_t hwaddr[MAX_ADDR_LEN];
	u_int8_t len;
	GList *ip;
	GList *update;
	GtkWidget *node;
};

struct arpIP_ {
	u_int32_t ip;
	GtkWidget *node;
};

extern ARPTable *arpTable;

ARPTable *arpTableInit ();
/*
 * Called whenever an ARP packet is recieved.
 */
void arpTableUpdate (Snif *snif);

#endif
