/****************************************************************************
 *
 *  File        : ipdata.h
 *
 *  Title       : IP protocol Data Engine.
 *
 *  Author      : Andrae Muys
 *
 *  Revisions   : 2nd Nov 1999  AWM - Initial release.
 *
 ****************************************************************************/

#include <sys/types.h>
#include <gtk/gtk.h>

#include "snif.h"

#ifndef IPDATA_H
#define IPDATA_H

typedef struct ipData_ ipData;
typedef struct IPTable_ IPTable;

struct IPTable_ {
	GHashTable *table;
	GMemChunk *chunk;
};

struct ipData_ {
	u_int32_t ip;
	char hwaddr[6];
	long datain, dataout;
	time_t lastin, lastout;
	GtkCListRow *row;
/*
	list:oldhwaddr,
	list:connections,
	list:udpsrcs,
	list:udpdests
*/
};

extern IPTable *ipTable;

IPTable *ipTableInit ();
/*
 * Called whenever an IP packet is recieved.  Dosn't interprate anything above
 * the network layer.
 */
void ipTableUpdate (Snif *snif);

#endif
