/****************************************************************************
 *
 *	File		: main.c
 *
 *	Title		: Main file.
 *
 *	Description	: Generated by Glade, edited manually, won't be overwritten.
 *
 *	Author		: Andrae Muys
 *
 *	Revisions	: 2nd Nov 1999  AWM - Initial release.
 *
 ****************************************************************************/

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "interface.h"
#include "support.h"
#include "snif.h"
#include "ipdata.h"
#include "tcpdata.h"
#include "udpdata.h"
#include "arpdata.h"
#include "devbar.h"
#include "packet.h"

GtkWidget *mainWindow;
IPTable *ipTable;
ConnTable *connTable;
UDPTable *udpTable;
ARPTable *arpTable;

int
main (int argc, char *argv[])
{
	GtkWidget *widget;

	bindtextdomain (PACKAGE, PACKAGE_LOCALE_DIR);
	textdomain (PACKAGE);

	gnome_init ("pasmon", VERSION, argc, argv);

	ipTable = ipTableInit ();
	connTable = connTableInit ();
	udpTable = udpTableInit ();
	arpTable = arpTableInit ();
	/*
	* The following code was added by Glade to create one of each component
	* (except popup menus), just so that you see something after building
	* the project. Delete any components that you don't want shown initially.
	*/
	mainWindow = create_mainWindow ();
	gtk_widget_show (mainWindow);

	widget = lookup_widget (mainWindow, "preferencesMenuItem");
	gtk_widget_set_sensitive (GTK_WIDGET(widget), FALSE);
	widget = lookup_widget (mainWindow, "filtersMenuItem");
	gtk_widget_set_sensitive (GTK_WIDGET(widget), FALSE);
	widget = lookup_widget (mainWindow, "queriesMenuItem");
	gtk_widget_set_sensitive (GTK_WIDGET(widget), FALSE);
	widget = lookup_widget (mainWindow, "actionsMenuItem");
	gtk_widget_set_sensitive (GTK_WIDGET(widget), FALSE);

	widget = lookup_widget (mainWindow, "deviceBar");
	gtk_toolbar_append_space (GTK_TOOLBAR(widget));

	devbarRefresh ();

/*
	snif = snifOpenLive ("lo", ETHERNET);
	snif->tag = gdk_input_add (snif->sd, GDK_INPUT_READ, handle_packet, snif);
*/
	gtk_main ();

	return 0;
}

