/****************************************************************************
 *
 *  File        : packet.h
 *
 *  Title       : Packet Analysis and Processing.
 *
 *  Description : This file parses the packets and as the exisitance of
 *  each
 *                  protocol is determined it is passed to the appropriate
 *                  protocol data engine for final processing.  Be aware
 *                  that
 *                  the buffer passed by the capture engine is handled
 *                  by the
 *                  capture engine and should not be deallocated, or
 *                  modified in *                  anyway packet.c or
 *                  anyother file.
 *
 *  Author      : Andrae Muys
 *
 *  Revisions   : 2nd Nov 1999  AWM - Initial release.
 *
 ****************************************************************************/

#ifndef PACKET_H
#define PACKET_H

#define rawtoipaddr(d,i) (((d)[0] = ((i)>>24)&0x00FF), \
						  ((d)[1] = ((i)>>16)&0x00FF), \
						  ((d)[2] = ((i)>>8)&0x00FF), \
						  ((d)[3] = (i)&0x00FF))

void handle_packet (gpointer data, gint source, GdkInputCondition cond);

void handle_ethernet_packet (Snif *snif);

void handle_arp_packet (Snif *snif);

void handle_rarp_packet (Snif *snif);

void handle_ip_packet (Snif *snif);

void handle_tcp_packet (Snif *snif);

void handle_udp_packet (Snif *snif);

#endif
