/****************************************************************************
 *
 *  File        : snif.h
 *
 *  Title       : Packet Capture Engine.
 *
 *  Author      : Andrae Muys
 *
 *  Revisions   : 2nd Nov 1999  AWM - Initial release.
 *
 ****************************************************************************/

#ifndef SNIF_H
#define SNIF_H

#include <net/if.h>

typedef struct Snif_ Snif;
struct Snif_ {
	int sd;				/* Socket discriptor */
	char *dev;			/* Device name */
	int tag;			/* The gdk_input_add tag */
	struct ifreq ifr;	/* Saved interface flags */
	u_int8_t *buf;		/* Input buffer, only allocated once */
	int mtu;			/* Device MTU */
	int llproto;		/* Link Layer protocol */
	u_int8_t *llhdr;	/* These are pointers into buf, they point */
	u_int8_t *nethdr;	/* to the headers of each layers protocol. */
	u_int8_t *tpthdr;
	u_int8_t *data;
	u_int8_t *end;
	int len;			/* Length of packet */
};

#define DEV "lo"

enum { ETHERNET };

Snif *snifOpenLive (char *dev, int proto);
void snifClose (Snif *snif);
void restore_ifr (int val, void *data);

#endif
