/****************************************************************************
 *
 *  File        : tcpdata.h
 *
 *  Title       : TCP Protocol Data Engine
 *
 *  Author      : Andrae Muys
 *
 *  Revisions   : 2nd Nov 1999  AWM - Initial release.
 *
 ****************************************************************************/


#include <sys/types.h>
#include <gtk/gtk.h>

#include "snif.h"

#ifndef TCPDATA_H
#define TCPDATA_H

enum { SYN, ESTAB, FIN, CLOSED, NTCPSTATES };
extern char *tcpStateStr[NTCPSTATES];

typedef struct ConnTable_ ConnTable;
typedef struct connData_ connData;
typedef struct connIndex_ connIndex;

struct ConnTable_ {
	GHashTable *table;
	GMemChunk *chunk;
	GMemChunk *key;
};

struct connIndex_ {
	u_int32_t ip1, ip2;
	u_int16_t port1, port2;
};

struct connData_ {
	connIndex *hdr;
	connData *dup;	/* This field is used to handle reused socket-pairs */
	long volume;
	time_t start, last;
	int state;
	GtkCListRow *row;
};

extern ConnTable *connTable;

ConnTable *connTableInit ();
void connTableUpdate (Snif *snif);

#endif
